---
title: "Área de entrega"
description: "GET /v1/store/merchants/:merchantId/delivery/delivery-area — área de entrega, zonas e origem do merchant."
method: "GET"
path: "/v1/store/merchants/{merchantId}/delivery/delivery-area"
url: "https://developer.beefood.com.br/docs/loja/area-entrega"
group: "Restaurante"
scope: "store:read"
lang: "pt"
---
# Área de entrega

`GET /v1/store/merchants/{merchantId}/delivery/delivery-area`

- Produção: `https://api.beefood.app/v1/store/merchants/{merchantId}/delivery/delivery-area`
- Sandbox: `https://api-sandbox.beefood.app/v1/store/merchants/{merchantId}/delivery/delivery-area`

Retorna a área de entrega do cardápio.

## Autenticação

Envie o access token no header `Authorization: Bearer <accessToken>`. Escopo necessário: `store:read`. Limite: 100 requisições a cada 3 minutos.


## Parâmetros de path

- `merchantId` *integer* **obrigatório** — ID do cardápio. Exemplo: `39202`.





## Exemplos de requisição

### cURL

```bash
curl -X GET "https://api.beefood.app/v1/store/merchants/{merchantId}/delivery/delivery-area" \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```


## Exemplos de resposta

### 200 OK

```json
{
  "storeId": 38311,
  "merchantId": 39202,
  "origin": {
    "address": {
      "street": "Rua das Flores",
      "number": "123",
      "neighborhood": "Centro",
      "zipCode": "18040370",
      "city": "Sorocaba",
      "state": "São Paulo"
    },
    "latitude": -23.5015,
    "longitude": -47.4526,
    "timezoneId": 1,
    "timezoneName": "Brasília (UTC-3)"
  },
  "modes": {
    "neighborhoodZipCode": false,
    "fixedZipCode": false,
    "distanceKm": false,
    "map": true
  },
  "mapZones": [
    {
      "zoneId": 110025,
      "title": "Campolim",
      "fee": 7.9,
      "freeDeliveryMinimum": 50,
      "additionalDeliveryTimeMinutes": 10,
      "courierFee": 4,
      "type": "Livre",
      "color": "#3b82f6",
      "polygon": "POLYGON ((-23.512 -47.472, -23.512 -47.462, -23.52 -47.462, -23.52 -47.472, -23.512 -47.472))",
      "active": true,
      "noDelivery": false
    },
    {
      "zoneId": 110024,
      "title": "Até 2 km",
      "fee": 5.99,
      "freeDeliveryMinimum": 40,
      "additionalDeliveryTimeMinutes": 5,
      "courierFee": 3,
      "radiusKm": 2,
      "type": "Raio",
      "color": "#22c55e",
      "polygon": "POINT (-23.5061438 -47.465792699999987)",
      "active": true,
      "noDelivery": false
    },
    {
      "zoneId": 110026,
      "title": "Zona industrial",
      "radiusKm": 0.8,
      "type": "Raio",
      "color": "#000000",
      "polygon": "POINT (-23.52 -47.49)",
      "active": true,
      "noDelivery": true
    }
  ],
  "distanceKmZones": [
    {
      "zoneId": 9176,
      "distanceKm": 3,
      "fee": 5.99,
      "freeDeliveryMinimum": 40,
      "additionalDeliveryTimeMinutes": 5,
      "courierFee": 3,
      "active": true
    },
    {
      "zoneId": 9177,
      "distanceKm": 6,
      "fee": 8.99,
      "freeDeliveryMinimum": 60,
      "additionalDeliveryTimeMinutes": 10,
      "courierFee": 5,
      "active": true
    },
    {
      "zoneId": 9178,
      "distanceKm": 10,
      "fee": 14.99,
      "freeDeliveryMinimum": 0,
      "additionalDeliveryTimeMinutes": 20,
      "courierFee": 8,
      "active": true
    }
  ],
  "neighborhoodZipCodeZones": [
    {
      "zoneId": 89448,
      "active": true,
      "fee": 6.5,
      "freeDeliveryMinimum": 45,
      "additionalDeliveryTimeMinutes": 8,
      "courierFee": 3.5,
      "matchNeighborhood": true,
      "matchZipCode": false,
      "matchZipCodeRange": false,
      "options": [
        {
          "optionId": 230154,
          "neighborhood": "Centro",
          "city": "Sorocaba"
        }
      ]
    }
  ],
  "fixedZipCode": {
    "zipCode": "18040370",
    "fee": 7
  }
}
```


## Campos da resposta

- `storeId` *number* — ID do restaurante.

- `merchantId` *number* — ID do cardápio.

- `origin.address.street` *string* — Logradouro de origem.

- `origin.address.number` *string* — Número.

- `origin.address.neighborhood` *string* — Bairro.

- `origin.address.zipCode` *string* — CEP, só dígitos.

- `origin.address.complement` *string* — Complemento.

- `origin.address.city` *string* — Cidade.

- `origin.address.state` *string* — Estado.

- `origin.latitude` *number* — Latitude da origem.

- `origin.longitude` *number* — Longitude da origem.

- `origin.timezoneId` *number* — ID do fuso horário.

- `origin.timezoneName` *string* — Nome do fuso horário.

- `modes.neighborhoodZipCode` *boolean* — Por bairro/CEP.

- `modes.fixedZipCode` *boolean* — Por CEP fixo.

- `modes.distanceKm` *boolean* — Por distância em km.

- `modes.map` *boolean* — Por zonas no mapa.

- `mapZones[].zoneId` *number* — Identificador da zona.

- `mapZones[].title` *string* — Nome da zona.

- `mapZones[].fee` *number* — Taxa de entrega da zona.

- `mapZones[].freeDeliveryMinimum` *number* — Valor mínimo para entrega grátis.

- `mapZones[].additionalDeliveryTimeMinutes` *number* — Tempo adicional de entrega em minutos.

- `mapZones[].courierFee` *number* — Valor pago ao entregador.

- `mapZones[].radiusKm` *number* — Raio em km, quando aplicável.

- `mapZones[].type` *string* — Tipo da zona no mapa.

- `mapZones[].color` *string* — Cor da zona no mapa.

- `mapZones[].polygon` *string* — Polígono da zona.

- `mapZones[].active` *boolean* — Zona ativa.

- `mapZones[].noDelivery` *boolean* — Zona sem entrega.

- `distanceKmZones[]` *array* — Faixas por quilometragem.

- `neighborhoodZipCodeZones[]` *array* — Zonas por bairro/CEP.

- `fixedZipCode` *object* — Regra de CEP fixo (quando houver).



## Erros

| Status | Mensagem |
| --- | --- |
| 401 | Authentication token is missing |
| 401 | Invalid or expired access token |
| 403 | This credential does not include the store:read scope |
| 404 | Merchant ID 99 not found |


